[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.WndProc

WndProc - makes specific reactions according to the message passed, then calls inherited WndProc

## Declaration

Source position: controls.pp line 1862

`protected procedure TWinControl.WndProc(`
`var Message: TLMessage`
`); override;`

## Description

LM_SETFOCUS: gets parent form and show this control as focused

LM_KILLFOCUS: removes focus fromthis control

LM_NCHITTEST: check transparency etc

Mouse and Button messages: process any docking instructions

## See also

TControl.WndProc |  | WndProc - message handler for the procedure of this window

The latest version of this document can be found at lazarus-ccr.sourceforge.net.